﻿using System;
using Microsoft.WindowsAzure.StorageClient;

namespace AzureFacebook.Data
{
    public class CommentEntity : TableServiceEntity
    {
        public CommentEntity(string partitionKey, string rowKey)
            : base(partitionKey, rowKey)
        {
        }

        public CommentEntity()
            : this(Guid.NewGuid().ToString(), String.Empty)
        {
        }

        public string FacebookId { get; set; }
        public string CommentText { get; set; }

    }
}
