﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.ComponentModel.DataAnnotations;

namespace AzureFacebook.Web.Models
{
    public class CommentModel
    {
        [Required(ErrorMessage="Facebook Id is not valid")]
        public string FacebookId { get; set; }

        [Required(ErrorMessage="Comment Required")]
        [StringLength(50, ErrorMessage="Must be less than 50 characters")]
        public string CommentText { get; set; }

    }
}