﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel.Composition;

namespace AzureToolkit.Domain
{
    public class AzureStoragePart
    {

        [Export]
        [Initialize]
        public IAzureQueue<Command1Message> Queue1
        {
            get
            {
                return new AzureQueue<Command1Message>(AzureStorageFactory.DefaultAccount, "queue1");
            }
        }

        [Export]
        [Initialize]
        public IAzureQueue<Command2Message> Queue2
        {
            get
            {
                return new AzureQueue<Command2Message>(AzureStorageFactory.DefaultAccount, "queue2");
            }
        }

        [Export]
        [Initialize]
        public IAzureTable<JobRunEntity> JobRunTable
        {
            get
            {
                return new AzureTable<JobRunEntity>(AzureStorageFactory.DefaultAccount, "JobRunTable");
            }
        }

    }
}
