﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.WindowsAzure;

namespace AzureToolkit.Engine
{
    public class CloudEngineSettings
    {

        private CloudStorageAccount _account;
        public CloudStorageAccount Account
        {
            get
            {
                if (_account == null)
                {
                    try
                    {
                        _account = CloudConfiguration.GetStorageAccount();
                    }
                    catch { }
                }
                return _account;
            }
            set
            {
                _account = value;
            }
        }
    }
}
