﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.WindowsAzure;

namespace AzureToolkit.Engine
{
    public class JobSchedulingSettings
    {

        public CloudStorageAccount Account { get; set; }
        public string QueueName { get; set; }
        public TimeSpan VisibilityTimeout { get; set; }
        public TimeSpan SchedulingInterval { get; set; }

        public JobSchedulingSettings(CloudEngineSettings settings)
        {
            this.Account = settings.Account;
            this.QueueName = "scheduledjobs";
            this.VisibilityTimeout = TimeSpan.FromHours(2);
            this.SchedulingInterval = TimeSpan.FromSeconds(1);
        }

    }
}
