﻿using System;
using System.Runtime.Serialization;

namespace AzureToolkit
{
    [DataContract(Name = "queueError")]
    public class QueueError<T>
    {
        [DataMember(Name = "id")]
        public string Id { get; set; }

        [DataMember(Name = "popReceipt")]
        public string PopReceipt { get; set; }

        [DataMember(Name = "dequeueCount")]
        public int DequeueCount { get; set; }

        [DataMember(Name = "queueMessage")]
        public T QueueMessage { get; set; }

        [DataMember(Name = "error")]
        public Exception Error { get; set; }

        [DataMember(Name = "instanceId")]
        public string InstanceId { get; set; }

        [DataMember(Name = "timestamp")]
        public DateTime Timestamp { get; set; }

    }
}
