﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace AzureToolkit
{
    public interface IBatchTransactionalCommand<in TMessage> : ICommandBase<TMessage> where TMessage : IAzureQueueMessage
    {
        void Run(IEnumerable<TMessage> messages);
        bool Commit();
        void Rollback();
    }
}
