﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace AzureToolkit
{
    public class QueueMessageEventArgs<TMessage> : System.ComponentModel.AsyncCompletedEventArgs where TMessage : IAzureQueueMessage
    {

        public QueueMessageEventArgs(Exception error, bool cancelled, object userState, TMessage message)
            : base(error, cancelled, userState)
        {
            this.Message = message;
        }

        public TMessage Message { get; private set; }

    }
}
