﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using AzureFacebook.Domain;

namespace AzureFacebook.Data
{
    public static class CommentConverter
    {
        const string PartitionKey = "HelloAzure";

        public static CommentEntity MapToTableData(this Comment comment)
        {
            return new CommentEntity(PartitionKey, Guid.NewGuid().ToString())
            {
                FacebookId = comment.FacebookId,
                CommentText = comment.CommentText
            };
        }
    }
}
