You must do the following things before this package will work:

1. Update your ServiceDefinition.csdef file with the following elements:

<WebRole name="YourWebRole.Web">
    <Runtime executionContext="elevated" />
    <Startup>
      <Task commandLine="Startup\installmvc.cmd" executionContext="elevated" />
    </Startup>
    <LocalResources>
      <LocalStorage name="Sites" cleanOnRoleRecycle="true" sizeInMB="14000" />
    </LocalResources>
	<Endpoints>
      <InputEndpoint name="HttpIn" protocol="http" port="80" />
      <InputEndpoint name="HttpsIn" protocol="tcp" port="443" />
      <InternalEndpoint name="UnusedInternal" protocol="http" />
    </Endpoints>
	...
</WebRole>

2. Set the "Copy to Output Directory" as "Copy always" for the following files:
	\7Zip\7z.dll
	\Startup\AspNetMVC3Setup.exe
	\Startup\intallmvc.cmd
	
3. Add the following Settings to your Web Role:
	DataConnectionString | Connection String | your storage account connection string
	SitesContainerName	 | String			 | sites

