using Microsoft.WindowsAzure;
using Microsoft.WindowsAzure.ServiceRuntime;
using Microsoft.WindowsAzure.StorageClient;

namespace $rootnamespace$
{
    public class WebRole : RoleEntryPoint
    {
       WebDeployEngine deploymentEngine = new WebDeployEngine();

        public override void Run()
        {

            // This will run forever so nothing after this
            // will run. If you need to do something else in 
            // this role, do it before you call deploymentEngine.Run()
            deploymentEngine.Run();
        }

        public override bool OnStart()
        {
			// This must be called in the OnStart method
			// of the WebRole
            deploymentEngine.Start();

            return base.OnStart();
        }
    }
}