﻿//===============================================================================
// Microsoft patterns & practices
// Windows Phone 7 Developer Guide
//===============================================================================
// Copyright © Microsoft Corporation.  All rights reserved.
// This code released under the terms of the 
// Microsoft patterns & practices license (http://wp7guide.codeplex.com/license)
//===============================================================================


using System.Runtime.Serialization;
namespace AzureToolkit
{
    [DataContract]
    public abstract class AzureQueueMessage : IAzureQueueMessage
    {
        [IgnoreDataMember]
        public string Id { get; set; }
        [IgnoreDataMember]
        public string PopReceipt { get; set; }
        [IgnoreDataMember]
        public int DequeueCount { get; set; }
    }
}